Skip to content

To export the latest version of a SubmissionsArchive binder:

POST/api/{version}/objects/binders/{binder_id}/actions/export?submission={submission_id}

To export a specific version of a SubmissionsArchive binder:

POST/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export?submission={submission_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value. See Retrieve Binders above.
{major_version}The major_version_number__v field value of the binder.
{minor_version}The minor_version_number__v field value of the binder.
{submission_id}The id field value of the submission__v object record. See Retrieve Object Record Collection above.
curl -X POST -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.1/objects/binders/454/actions/export?submission=00S000000000101
{ "responseStatus": "SUCCESS", "URL": "https://myvault.veevavault.com/api/v17.1/services/jobs/1201", "job_id": 1201 }

On SUCCESS, the response includes the following information:

  • URL - The URL to retrieve the current status of the export job.
  • job_id - The Job ID value is used to retrieve the status and results of the request.